Subject: Re: Bug? Git checkout fails with a wrong error message

From: Yves Goergen <[email-masked]>
Date: Sun, 15 Jan 2012 09:14:08 +0100

On 13.01.2012 20:28 CE(S)T, Holger Hellmuth wrote:
> Is it possible that Visual Studio changes them while you are comitting?

No. Those files may only be modified while open.

>> I renamed the file and created a new one with the same name. Is it so
>> simple to crash the Git repository?
> 
> Who said anything about crash? git simply doesn't care whether a change 
> is because of a rename. It isn't special or different to any change you 
> can make to a file

Well, there is a tracked file about which Git says it's untracked. How
would you describe such internal inconsistency? Maybe corruption would
fit better.

> As an aside, if .Designer.cs is generated automatically from Form1.cs it 
> shouldn't be tracked at all.

Of course, it's important! The file contains everything I draw in the UI
designer. I just don't write that myself which is why I rarely see its
contents.

> Maybe tortoise git has a global gitignore 
> with a line "*.Designer.cs" in it to account for that fact. Maybe this 
> lead to the error message?

It hasn't. This is already triple-checked by now. The file really is
definitely not ignored by any of the both ignore/exclude files known to me.

>>> What does git diff -- Form1.Designer.cs' say?
>> Nothing.
>>
>>> What does 'git diff form-refactoring -- Form1.Designer.cs' say?
>> All lines deleted.
> 
> Really all lines?

I don't have the time to re-check right now, but I remember seeing a
valid file beginning and end and no gaps in between. So I think it was
all files.

> That would indicate that you don't have a file 
> Form1.Designer.cs (or an empty one) in your working directory in branch 
> master. In case there is no file (as seen by git) the output of diff 
> should compare with /dev/null aka the void aka <I don't know how this 
> prints on the windows side>. Also notice the line "deleted file mode ..."
> 
>  > git diff master -- zumf
> diff --git a/zumf b/zumf
> deleted file mode 100644
> index 925eccd..0000000
> --- a/zumf
> +++ /dev/null
> @@ -1 +0,0 @@
> 
> Or did you just mean "all the shown lines in the diff were fronted by a 
> minus sign"?

Yes, and in dark red.

> Which would just indicate that the file in form-refactoring 
> is a superset of the one in master.
> 
> (As you can see, actual reproduction of command line output is very 
> helpful to avoid ambiguity and can give further hints)

That was some kind of less display. I could have attached a screenshot
to show it. It's not common or especially simple to include console
output on Windows, as there often is no console at all.

-- 
Yves Goergen "LonelyPixel" <[email-masked]>
Visit my web laboratory at http://beta.unclassified.de